*newsas(msdiag);
options ls=68;
/*-------------------------------------------------------------------------*
Title:    Diagnosis of multiple sclerosis
Diagnostic classification of mulitiple sclerosis by two neurologists
for two populations.
Source:   Landis, J.R. & Koch, G.G. (1977) "The measurement of observer
          agreement for categorical data." Biometrics 33: 159-174
*--------------------------------------------------------------------------*/
proc format;
     value rating 1="Certain MS" 2="Probable" 3="Possible" 4="Doubtful MS";
data msdiag;
     do patients='Winnipeg   ', 'New Orleans';
        do N_rating = 1 to 4;
           do W_rating = 1 to 4;
              input count @;
              output;
              end;
           end;
        end;
   format N_rating W_rating rating.;
   label N_rating = 'New Orleans neurologist'
         W_rating = 'Winnipeg neurologist';
datalines;
38  5  0  1
33 11  3  0
10 14  5  6
 3  7  3 10
 5  3  0  0
 3 11  4  0
 2 13  3  4
 1  2  4 14
;

