/*
  Name:  vietnam.sas
 Title:  Student opinion about the war in Vietnam
 
From Aitken-etal:89  ``Statistical Modelling in GLIM''.
A survey of student opinion on the Vietnam War was taken at the
University of North Carolina at Chapel Hill in May 1967 and published
in the student newspaper. Students were asked to fill in ballot
papers stating which policy out of A,B,C or D they supported.
Responses were cross-classified by gender/year:

Responses:
  1 -- defeat North Vietnam by widespread bombing and land invasion
  2 -- follow the present policy
  3 -- withdraw troops to strong points and open negotiations on elections involving the Viet Cong
  4 -- immediate withdrawal of all U.S. troops
*/

proc format;
	value resp   1='Defeat North Vietnam'  2='Present policy'
	             3='Negotiate'             4='Immediate withdrawal';
	value letter 1='A'  2='B'  3='C'  4='D';
	value yr     1='Freshmen'  2='Sophomore'  3='Junior'
	             4='Senior'    5='Grad student';
	value $sex  'M'='Male'    'F'='Female';

data vietnam;
	do sex = 'F', 'M';
		do year = 1 to 5;
			do response = 1 to 4;
				input count @;
				output;
				end;
			end;
		end;
	label year= 'Year of Study'
	      sex = 'Sex';
datalines;
 13  19  40   5  
  5   9  33   3  
 22  29 110   6  
 12  21  58  10  
 19  27 128  13  
175 116 131  17  
160 126 135  21  
132 120 154  29  
145  95 185  44  
118 176 345 141  
;
