 /*-----------------------------------------------------------------*
  |     Name: agree1.sas                                            |
  |    Title: Observer Agreement Chart                              |
  | ----------------------------------------------------------------|
  |    Procs: iml                                                   |
  | ----------------------------------------------------------------|
  |   Author: Michael Friendly               <friendly@yorku.ca>    |
  |  Created: 16 Jun 2000 17:39:17                                  |
  *-----------------------------------------------------------------*/
%include goptions;
goptions  vsize=7.2in hsize=7.2in;
title "Observer Agreement Chart";
proc iml;
	%include iml(agree);
   table =
     {  7     7     2      3,
        2     8     3      7,
        1     5     4      9,
        2     8     9     14 };
   title  = "Agreement Chart: Husband's and Wife's Sexual Fun";
   vnames = {"Husband's Rating" "Wife's rating"};
   lnames = {'Never fun' 'Fairly Often' 'Very Often' 'Always fun'} ;
	htext=1.3;
   
	w=1;                     /* \figref{fig:agree11} */
	run agree(table, w, vnames, lnames, title);
	w = w || (8/9);          /* \figref{fig:agree12} */
	run agree(table, w, vnames, lnames, title);
quit;
