 /*-----------------------------------------------------------------*
  |     Name: genberk1.sas                                          |
  |    Title: INFLGLIM and HALFNORM macros: Berkeley Admissions data|
  | ----------------------------------------------------------------|
  |    Procs: format genmod                                         |
  |   Macros: inflglim halfnorm                                     |
  | Datasets: berkeley                                              |
  | ----------------------------------------------------------------|
  |   Author: Michael Friendly <friendly@yorku.ca>                  |
  |  Created: 26 Apr 2000 16:47:38                                  |
  *-----------------------------------------------------------------*/
title 'INFLGLIM and HALFNORM macros: Berkeley Admissions data';
%include goptions;
goptions vsize=6.5in hsize=7in htext=1.8;

%include macros(inflglim);
%include macros(halfnorm);

title 'Berkeley Admissions data';

%include catdata(berkeley);

*-- make a cell ID variable, joining factors;
data berkeley;
   set berkeley;
   cell = trim(put(dept,dept.)) ||
          gender ||
          trim(put(admit,yn.));
run;

proc genmod data=berkeley;
   class dept gender admit;
   model freq = dept|gender dept|admit / dist=poisson obstats residuals;
   make 'obstats' out=obstats;

%inflglim(data=berkeley, class=dept gender admit,
        resp=freq, model=dept|gender dept|admit, dist=poisson, id=cell,
        gx=hat, gy=streschi);

%inflglim(data=berkeley, class=dept gender admit,
        resp=freq, model=dept|gender dept|admit, dist=poisson, id=cell,
        gx=pred, gy=seres);

%halfnorm(data=berkeley, class=dept gender admit,
   resp=freq, model=dept|gender dept|admit, dist=poisson, id=cell);
