/*-------------------------------------------------------------------*
 * poisdemo.sas   Demonstrate use of poisplot.sas                    *
 *                                                                   *
 *-------------------------------------------------------------------*
 *  Author:  Michael Friendly            <friendly@yorku.ca>         *
 * Created:  9 May 1991 11:36:27                                     *
 * Revised:  25 Apr 2000 14:53:50                                    *
 * Version:  1.0                                                     *
 *                                                                   *
 *-------------------------------------------------------------------*/
 
*include goptions;
*include macros(poisplot) /source2;
goptions vsize=6.7in hsize=7in htext=1.5 htitle=1.8;

title 'Poissoness Plot: Deaths by Horsekicks' ;
data horskick;
    input deaths corpsyrs;
	 label deaths='Number of Deaths'
	 	corpsyrs='Number of Corps-Years';
datalines;
    0    109
    1     65
    2     22
    3      3
    4      1
;
%poisplot(data=horskick, count=Deaths,freq=corpsyrs, plot=dist);

%gskip;
title;
%poisplot(data=horskick, count=Deaths, freq=corpsyrs,
          lambda=.610, plot=dist);
%gskip;

title "Poissoness plot: Instances of 'may' in Federalist papers" ;
data madison;
   input count blocks;
	label count='Number of Occurrences'
		blocks='Blocks of Text';
datalines;
  0    156
  1     63
  2     29
  3      8
  4      4
  5      1
  6      1
;
%poisplot(data=madison,count=Count, freq=blocks);
